task cuffdiff2 {
    File bam
    File gtf
    File genome_directory
    String idx_prefix
    String baseout
    String docker

    command {
      cuffdiff ${gtf} -p 24 -o ${baseout} --no-diff -u -L ${baseout},${baseout}_rep -b ${genome_directory}/${idx_prefix}.fa ${bam} ${bam} 
    }

    runtime {
      dockerTag: docker
    }
    
    output {
      File isoforms_count = "${baseout}/isoforms.count_tracking"
      File genes_count = "${baseout}/genes.count_tracking"
      File cds_count = "${baseout}/cds.count_tracking"
      File isoforms_fpkm = "${baseout}/isoforms.fpkm_tracking"
      File genes_fpkm = "${baseout}/genes.fpkm_tracking"
      File cds_fpkm = "${baseout}/cds.fpkm_tracking"
    }
}
